import{s as Pt,n as Wt,o as Et}from"../chunks/scheduler.0219f8bd.js";import{S as jt,i as Rt,g as a,s as l,r as p,A as Ft,h as s,f as r,c as n,j as m,u,x as d,k as o,y as Kt,a as i,v as f,d as h,t as x,w as c}from"../chunks/index.f61edf3b.js";import{H as T,E as Ut}from"../chunks/EditOnGithub.48fa589f.js";function Bt(ut){let _,ae,le,se,$,de,w,oe,v,ft='<li><a href="#module_generation/streamers">generation/streamers</a><ul><li><a href="#module_generation/streamers.TextStreamer">.TextStreamer</a><ul><li><a href="#new_module_generation/streamers.TextStreamer_new"><code>new TextStreamer(tokenizer)</code></a></li> <li><a href="#module_generation/streamers.TextStreamer+put"><code>.put(value)</code></a></li> <li><a href="#module_generation/streamers.TextStreamer+end"><code>.end()</code></a></li> <li><a href="#module_generation/streamers.TextStreamer+on_finalized_text"><code>.on_finalized_text(text, stream_end)</code></a></li></ul></li> <li><a href="#module_generation/streamers.WhisperTextStreamer">.WhisperTextStreamer</a><ul><li><a href="#new_module_generation/streamers.WhisperTextStreamer_new"><code>new WhisperTextStreamer(tokenizer, options)</code></a></li> <li><a href="#module_generation/streamers.WhisperTextStreamer+put"><code>.put(value)</code></a></li></ul></li></ul></li>',me,pe,ue,g,fe,S,he,k,ht="Simple text streamer that prints the token(s) to stdout as soon as entire words are formed.",xe,H,xt='<strong>Kind</strong>: static class of <a href="#module_generation/streamers"><code>generation/streamers</code></a>',ce,b,ct='<li><a href="#module_generation/streamers.TextStreamer">.TextStreamer</a><ul><li><a href="#new_module_generation/streamers.TextStreamer_new"><code>new TextStreamer(tokenizer)</code></a></li> <li><a href="#module_generation/streamers.TextStreamer+put"><code>.put(value)</code></a></li> <li><a href="#module_generation/streamers.TextStreamer+end"><code>.end()</code></a></li> <li><a href="#module_generation/streamers.TextStreamer+on_finalized_text"><code>.on_finalized_text(text, stream_end)</code></a></li></ul></li>',_e,Te,$e,L,we,y,ve,C,_t="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>tokenizer</td><td><code>*</code></td></tr></tbody>",ge,Se,ke,M,He,z,be,A,Tt="Receives tokens, decodes them, and prints them to stdout as soon as they form entire words.",Le,P,$t='<strong>Kind</strong>: instance method of <a href="#module_generation/streamers.TextStreamer"><code>TextStreamer</code></a>',ye,W,wt="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>value</td><td><code>Array.&lt;Array&lt;bigint&gt;&gt;</code></td></tr></tbody>",Ce,Me,ze,E,Ae,j,Pe,R,vt="Flushes any remaining cache and prints a newline to stdout.",We,F,gt='<strong>Kind</strong>: instance method of <a href="#module_generation/streamers.TextStreamer"><code>TextStreamer</code></a>',Ee,je,Re,K,Fe,U,Ke,B,St="Prints the new text to stdout. If the stream is ending, also prints a newline.",Ue,O,kt='<strong>Kind</strong>: instance method of <a href="#module_generation/streamers.TextStreamer"><code>TextStreamer</code></a>',Be,D,Ht="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>text</td><td><code>string</code></td> </tr><tr><td>stream_end</td><td><code>boolean</code></td></tr></tbody>",Oe,De,qe,q,Ge,G,Ie,I,bt=`Utility class to handle streaming of tokens generated by whisper speech-to-text models.
Callback functions are invoked when each of the following events occur:`,Je,J,Lt="<li>A new chunk starts (on_chunk_start)</li> <li>A new token is generated (callback_function)</li> <li>A chunk ends (on_chunk_end)</li> <li>The stream is finalized (on_finalize)</li>",Ne,N,yt='<strong>Kind</strong>: static class of <a href="#module_generation/streamers"><code>generation/streamers</code></a>',Qe,Q,Ct='<li><a href="#module_generation/streamers.WhisperTextStreamer">.WhisperTextStreamer</a><ul><li><a href="#new_module_generation/streamers.WhisperTextStreamer_new"><code>new WhisperTextStreamer(tokenizer, options)</code></a></li> <li><a href="#module_generation/streamers.WhisperTextStreamer+put"><code>.put(value)</code></a></li></ul></li>',Ve,Xe,Ye,V,Ze,X,et,Y,Mt="<thead><tr><th>Param</th><th>Type</th><th>Default</th><th>Description</th></tr></thead> <tbody><tr><td>tokenizer</td><td><code>*</code></td><td></td><td></td> </tr><tr><td>options</td><td><code>Object</code></td><td></td><td></td> </tr><tr><td>[options.skip_prompt]</td><td><code>boolean</code></td><td><code>false</code></td><td><p>Whether to skip the prompt tokens</p></td> </tr><tr><td>[options.callback_function]</td><td><code>function</code></td><td><code></code></td><td><p>Function to call when a piece of text is ready to display</p></td> </tr><tr><td>[options.token_callback_function]</td><td><code>function</code></td><td><code></code></td><td><p>Function to call when a new token is generated</p></td> </tr><tr><td>[options.on_chunk_start]</td><td><code>function</code></td><td><code></code></td><td><p>Function to call when a new chunk starts</p></td> </tr><tr><td>[options.on_chunk_end]</td><td><code>function</code></td><td><code></code></td><td><p>Function to call when a chunk ends</p></td> </tr><tr><td>[options.on_finalize]</td><td><code>function</code></td><td><code></code></td><td><p>Function to call when the stream is finalized</p></td> </tr><tr><td>[options.time_precision]</td><td><code>number</code></td><td><code>0.02</code></td><td><p>Precision of the timestamps</p></td> </tr><tr><td>[options.skip_special_tokens]</td><td><code>boolean</code></td><td><code>true</code></td><td><p>Whether to skip special tokens when decoding</p></td> </tr><tr><td>[options.decode_kwargs]</td><td><code>Object</code></td><td><code>{}</code></td><td><p>Additional keyword arguments to pass to the tokenizer&#39;s decode method</p></td></tr></tbody>",tt,rt,it,Z,lt,ee,nt,te,zt='<strong>Kind</strong>: instance method of <a href="#module_generation/streamers.WhisperTextStreamer"><code>WhisperTextStreamer</code></a>',at,re,At="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>value</td><td><code>Array.&lt;Array&lt;bigint&gt;&gt;</code></td></tr></tbody>",st,dt,ot,ie,mt,ne,pt;return w=new T({props:{title:"generation/streamers",local:"generationstreamers",headingTag:"h1"}}),S=new T({props:{title:"generation/streamers.TextStreamer",local:"generationstreamerstextstreamer",headingTag:"h2"}}),y=new T({props:{title:"new TextStreamer(tokenizer)",local:"new-textstreamertokenizer",headingTag:"h3"}}),z=new T({props:{title:"textStreamer.put(value)",local:"textstreamerputvalue",headingTag:"h3"}}),j=new T({props:{title:"textStreamer.end()",local:"textstreamerend",headingTag:"h3"}}),U=new T({props:{title:"textStreamer.on_finalized_text(text, stream_end)",local:"textstreameronfinalizedtexttext-streamend",headingTag:"h3"}}),G=new T({props:{title:"generation/streamers.WhisperTextStreamer",local:"generationstreamerswhispertextstreamer",headingTag:"h2"}}),X=new T({props:{title:"new WhisperTextStreamer(tokenizer, options)",local:"new-whispertextstreamertokenizer-options",headingTag:"h3"}}),ee=new T({props:{title:"whisperTextStreamer.put(value)",local:"whispertextstreamerputvalue",headingTag:"h3"}}),ie=new Ut({props:{source:"https://github.com/huggingface/transformers.js/blob/v3.0.0/docs/source/api/generation/streamers.md"}}),{c(){_=a("meta"),ae=l(),le=a("p"),se=l(),$=a("a"),de=l(),p(w.$$.fragment),oe=l(),v=a("ul"),v.innerHTML=ft,me=l(),pe=a("hr"),ue=l(),g=a("a"),fe=l(),p(S.$$.fragment),he=l(),k=a("p"),k.textContent=ht,xe=l(),H=a("p"),H.innerHTML=xt,ce=l(),b=a("ul"),b.innerHTML=ct,_e=l(),Te=a("hr"),$e=l(),L=a("a"),we=l(),p(y.$$.fragment),ve=l(),C=a("table"),C.innerHTML=_t,ge=l(),Se=a("hr"),ke=l(),M=a("a"),He=l(),p(z.$$.fragment),be=l(),A=a("p"),A.textContent=Tt,Le=l(),P=a("p"),P.innerHTML=$t,ye=l(),W=a("table"),W.innerHTML=wt,Ce=l(),Me=a("hr"),ze=l(),E=a("a"),Ae=l(),p(j.$$.fragment),Pe=l(),R=a("p"),R.textContent=vt,We=l(),F=a("p"),F.innerHTML=gt,Ee=l(),je=a("hr"),Re=l(),K=a("a"),Fe=l(),p(U.$$.fragment),Ke=l(),B=a("p"),B.textContent=St,Ue=l(),O=a("p"),O.innerHTML=kt,Be=l(),D=a("table"),D.innerHTML=Ht,Oe=l(),De=a("hr"),qe=l(),q=a("a"),Ge=l(),p(G.$$.fragment),Ie=l(),I=a("p"),I.textContent=bt,Je=l(),J=a("ul"),J.innerHTML=Lt,Ne=l(),N=a("p"),N.innerHTML=yt,Qe=l(),Q=a("ul"),Q.innerHTML=Ct,Ve=l(),Xe=a("hr"),Ye=l(),V=a("a"),Ze=l(),p(X.$$.fragment),et=l(),Y=a("table"),Y.innerHTML=Mt,tt=l(),rt=a("hr"),it=l(),Z=a("a"),lt=l(),p(ee.$$.fragment),nt=l(),te=a("p"),te.innerHTML=zt,at=l(),re=a("table"),re.innerHTML=At,st=l(),dt=a("hr"),ot=l(),p(ie.$$.fragment),mt=l(),ne=a("p"),this.h()},l(e){const t=Ft("svelte-u9bgzb",document.head);_=s(t,"META",{name:!0,content:!0}),t.forEach(r),ae=n(e),le=s(e,"P",{}),m(le).forEach(r),se=n(e),$=s(e,"A",{id:!0,class:!0}),m($).forEach(r),de=n(e),u(w.$$.fragment,e),oe=n(e),v=s(e,"UL",{"data-svelte-h":!0}),d(v)!=="svelte-1oy85ym"&&(v.innerHTML=ft),me=n(e),pe=s(e,"HR",{}),ue=n(e),g=s(e,"A",{id:!0,class:!0}),m(g).forEach(r),fe=n(e),u(S.$$.fragment,e),he=n(e),k=s(e,"P",{"data-svelte-h":!0}),d(k)!=="svelte-5jvlz5"&&(k.textContent=ht),xe=n(e),H=s(e,"P",{"data-svelte-h":!0}),d(H)!=="svelte-223dj8"&&(H.innerHTML=xt),ce=n(e),b=s(e,"UL",{"data-svelte-h":!0}),d(b)!=="svelte-xhg9i2"&&(b.innerHTML=ct),_e=n(e),Te=s(e,"HR",{}),$e=n(e),L=s(e,"A",{id:!0,class:!0}),m(L).forEach(r),we=n(e),u(y.$$.fragment,e),ve=n(e),C=s(e,"TABLE",{"data-svelte-h":!0}),d(C)!=="svelte-sdpo69"&&(C.innerHTML=_t),ge=n(e),Se=s(e,"HR",{}),ke=n(e),M=s(e,"A",{id:!0,class:!0}),m(M).forEach(r),He=n(e),u(z.$$.fragment,e),be=n(e),A=s(e,"P",{"data-svelte-h":!0}),d(A)!=="svelte-1i1356p"&&(A.textContent=Tt),Le=n(e),P=s(e,"P",{"data-svelte-h":!0}),d(P)!=="svelte-3nhg65"&&(P.innerHTML=$t),ye=n(e),W=s(e,"TABLE",{"data-svelte-h":!0}),d(W)!=="svelte-47jvoc"&&(W.innerHTML=wt),Ce=n(e),Me=s(e,"HR",{}),ze=n(e),E=s(e,"A",{id:!0,class:!0}),m(E).forEach(r),Ae=n(e),u(j.$$.fragment,e),Pe=n(e),R=s(e,"P",{"data-svelte-h":!0}),d(R)!=="svelte-10d94rs"&&(R.textContent=vt),We=n(e),F=s(e,"P",{"data-svelte-h":!0}),d(F)!=="svelte-3nhg65"&&(F.innerHTML=gt),Ee=n(e),je=s(e,"HR",{}),Re=n(e),K=s(e,"A",{id:!0,class:!0}),m(K).forEach(r),Fe=n(e),u(U.$$.fragment,e),Ke=n(e),B=s(e,"P",{"data-svelte-h":!0}),d(B)!=="svelte-tm945r"&&(B.textContent=St),Ue=n(e),O=s(e,"P",{"data-svelte-h":!0}),d(O)!=="svelte-3nhg65"&&(O.innerHTML=kt),Be=n(e),D=s(e,"TABLE",{"data-svelte-h":!0}),d(D)!=="svelte-npliee"&&(D.innerHTML=Ht),Oe=n(e),De=s(e,"HR",{}),qe=n(e),q=s(e,"A",{id:!0,class:!0}),m(q).forEach(r),Ge=n(e),u(G.$$.fragment,e),Ie=n(e),I=s(e,"P",{"data-svelte-h":!0}),d(I)!=="svelte-14ytj5h"&&(I.textContent=bt),Je=n(e),J=s(e,"UL",{"data-svelte-h":!0}),d(J)!=="svelte-1j45op2"&&(J.innerHTML=Lt),Ne=n(e),N=s(e,"P",{"data-svelte-h":!0}),d(N)!=="svelte-223dj8"&&(N.innerHTML=yt),Qe=n(e),Q=s(e,"UL",{"data-svelte-h":!0}),d(Q)!=="svelte-11gdcxx"&&(Q.innerHTML=Ct),Ve=n(e),Xe=s(e,"HR",{}),Ye=n(e),V=s(e,"A",{id:!0,class:!0}),m(V).forEach(r),Ze=n(e),u(X.$$.fragment,e),et=n(e),Y=s(e,"TABLE",{"data-svelte-h":!0}),d(Y)!=="svelte-1v66c2t"&&(Y.innerHTML=Mt),tt=n(e),rt=s(e,"HR",{}),it=n(e),Z=s(e,"A",{id:!0,class:!0}),m(Z).forEach(r),lt=n(e),u(ee.$$.fragment,e),nt=n(e),te=s(e,"P",{"data-svelte-h":!0}),d(te)!=="svelte-yewaf3"&&(te.innerHTML=zt),at=n(e),re=s(e,"TABLE",{"data-svelte-h":!0}),d(re)!=="svelte-47jvoc"&&(re.innerHTML=At),st=n(e),dt=s(e,"HR",{}),ot=n(e),u(ie.$$.fragment,e),mt=n(e),ne=s(e,"P",{}),m(ne).forEach(r),this.h()},h(){o(_,"name","hf:doc:metadata"),o(_,"content",Ot),o($,"id","module_generation/streamers"),o($,"class","group"),o(g,"id","module_generation/streamers.TextStreamer"),o(g,"class","group"),o(L,"id","new_module_generation/streamers.TextStreamer_new"),o(L,"class","group"),o(M,"id","module_generation/streamers.TextStreamer+put"),o(M,"class","group"),o(E,"id","module_generation/streamers.TextStreamer+end"),o(E,"class","group"),o(K,"id","module_generation/streamers.TextStreamer+on_finalized_text"),o(K,"class","group"),o(q,"id","module_generation/streamers.WhisperTextStreamer"),o(q,"class","group"),o(V,"id","new_module_generation/streamers.WhisperTextStreamer_new"),o(V,"class","group"),o(Z,"id","module_generation/streamers.WhisperTextStreamer+put"),o(Z,"class","group")},m(e,t){Kt(document.head,_),i(e,ae,t),i(e,le,t),i(e,se,t),i(e,$,t),i(e,de,t),f(w,e,t),i(e,oe,t),i(e,v,t),i(e,me,t),i(e,pe,t),i(e,ue,t),i(e,g,t),i(e,fe,t),f(S,e,t),i(e,he,t),i(e,k,t),i(e,xe,t),i(e,H,t),i(e,ce,t),i(e,b,t),i(e,_e,t),i(e,Te,t),i(e,$e,t),i(e,L,t),i(e,we,t),f(y,e,t),i(e,ve,t),i(e,C,t),i(e,ge,t),i(e,Se,t),i(e,ke,t),i(e,M,t),i(e,He,t),f(z,e,t),i(e,be,t),i(e,A,t),i(e,Le,t),i(e,P,t),i(e,ye,t),i(e,W,t),i(e,Ce,t),i(e,Me,t),i(e,ze,t),i(e,E,t),i(e,Ae,t),f(j,e,t),i(e,Pe,t),i(e,R,t),i(e,We,t),i(e,F,t),i(e,Ee,t),i(e,je,t),i(e,Re,t),i(e,K,t),i(e,Fe,t),f(U,e,t),i(e,Ke,t),i(e,B,t),i(e,Ue,t),i(e,O,t),i(e,Be,t),i(e,D,t),i(e,Oe,t),i(e,De,t),i(e,qe,t),i(e,q,t),i(e,Ge,t),f(G,e,t),i(e,Ie,t),i(e,I,t),i(e,Je,t),i(e,J,t),i(e,Ne,t),i(e,N,t),i(e,Qe,t),i(e,Q,t),i(e,Ve,t),i(e,Xe,t),i(e,Ye,t),i(e,V,t),i(e,Ze,t),f(X,e,t),i(e,et,t),i(e,Y,t),i(e,tt,t),i(e,rt,t),i(e,it,t),i(e,Z,t),i(e,lt,t),f(ee,e,t),i(e,nt,t),i(e,te,t),i(e,at,t),i(e,re,t),i(e,st,t),i(e,dt,t),i(e,ot,t),f(ie,e,t),i(e,mt,t),i(e,ne,t),pt=!0},p:Wt,i(e){pt||(h(w.$$.fragment,e),h(S.$$.fragment,e),h(y.$$.fragment,e),h(z.$$.fragment,e),h(j.$$.fragment,e),h(U.$$.fragment,e),h(G.$$.fragment,e),h(X.$$.fragment,e),h(ee.$$.fragment,e),h(ie.$$.fragment,e),pt=!0)},o(e){x(w.$$.fragment,e),x(S.$$.fragment,e),x(y.$$.fragment,e),x(z.$$.fragment,e),x(j.$$.fragment,e),x(U.$$.fragment,e),x(G.$$.fragment,e),x(X.$$.fragment,e),x(ee.$$.fragment,e),x(ie.$$.fragment,e),pt=!1},d(e){e&&(r(ae),r(le),r(se),r($),r(de),r(oe),r(v),r(me),r(pe),r(ue),r(g),r(fe),r(he),r(k),r(xe),r(H),r(ce),r(b),r(_e),r(Te),r($e),r(L),r(we),r(ve),r(C),r(ge),r(Se),r(ke),r(M),r(He),r(be),r(A),r(Le),r(P),r(ye),r(W),r(Ce),r(Me),r(ze),r(E),r(Ae),r(Pe),r(R),r(We),r(F),r(Ee),r(je),r(Re),r(K),r(Fe),r(Ke),r(B),r(Ue),r(O),r(Be),r(D),r(Oe),r(De),r(qe),r(q),r(Ge),r(Ie),r(I),r(Je),r(J),r(Ne),r(N),r(Qe),r(Q),r(Ve),r(Xe),r(Ye),r(V),r(Ze),r(et),r(Y),r(tt),r(rt),r(it),r(Z),r(lt),r(nt),r(te),r(at),r(re),r(st),r(dt),r(ot),r(mt),r(ne)),r(_),c(w,e),c(S,e),c(y,e),c(z,e),c(j,e),c(U,e),c(G,e),c(X,e),c(ee,e),c(ie,e)}}}const Ot='{"title":"generation/streamers","local":"generationstreamers","sections":[{"title":"generation/streamers.TextStreamer","local":"generationstreamerstextstreamer","sections":[{"title":"new TextStreamer(tokenizer)","local":"new-textstreamertokenizer","sections":[],"depth":3},{"title":"textStreamer.put(value)","local":"textstreamerputvalue","sections":[],"depth":3},{"title":"textStreamer.end()","local":"textstreamerend","sections":[],"depth":3},{"title":"textStreamer.on_finalized_text(text, stream_end)","local":"textstreameronfinalizedtexttext-streamend","sections":[],"depth":3}],"depth":2},{"title":"generation/streamers.WhisperTextStreamer","local":"generationstreamerswhispertextstreamer","sections":[{"title":"new WhisperTextStreamer(tokenizer, options)","local":"new-whispertextstreamertokenizer-options","sections":[],"depth":3},{"title":"whisperTextStreamer.put(value)","local":"whispertextstreamerputvalue","sections":[],"depth":3}],"depth":2}],"depth":1}';function Dt(ut){return Et(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Jt extends jt{constructor(_){super(),Rt(this,_,Dt,Bt,Pt,{})}}export{Jt as component};
