import{s as kl,n as Rl,o as Dl}from"../chunks/scheduler.0219f8bd.js";import{S as Ol,i as Bl,g as s,s as i,r as n,A as Kl,h as d,f as l,c as o,j as u,u as p,x as c,k as a,y as zl,a as r,v as f,d as m,t as h,w as b}from"../chunks/index.f61edf3b.js";import{H as y,E as Il}from"../chunks/EditOnGithub.48fa589f.js";function Nl(Yt){let v,He,_e,Le,T,Ce,$,Me,x,Zt="Core utility functions/classes for Transformers.js.",Ae,_,el=`These are only used internally, meaning an end-user shouldn’t
need to access anything here.`,we,g,tl='<li><a href="#module_utils/core">utils/core</a><ul><li><a href="#module_utils/core.reverseDictionary"><code>.reverseDictionary(data)</code></a> ⇒ <code>Object</code></li> <li><a href="#module_utils/core.escapeRegExp"><code>.escapeRegExp(string)</code></a> ⇒ <code>string</code></li> <li><a href="#module_utils/core.isTypedArray"><code>.isTypedArray(val)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.isIntegralNumber"><code>.isIntegralNumber(x)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.calculateDimensions"><code>.calculateDimensions(arr)</code></a> ⇒ <code>Array.&lt;number&gt;</code></li> <li><a href="#module_utils/core.pop"><code>.pop(obj, key, defaultValue)</code></a> ⇒ <code>*</code></li> <li><a href="#module_utils/core.mergeArrays"><code>.mergeArrays(arrs)</code></a> ⇒ <code>Array</code></li> <li><a href="#module_utils/core.calculateReflectOffset"><code>.calculateReflectOffset(i, w)</code></a> ⇒ <code>number</code></li> <li><a href="#module_utils/core.pick"><code>.pick(o, props)</code></a> ⇒ <code>Object</code></li> <li><a href="#module_utils/core.len"><code>.len(s)</code></a> ⇒ <code>number</code></li></ul></li>',Pe,Ee,je,H,ke,L,Re,C,ll="Reverses the keys and values of an object.",De,M,rl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Object</code> - The reversed object.<br/> <strong>See</strong>: <a href="https://ultimatecourses.com/blog/reverse-object-keys-and-values-in-javascript" rel="nofollow">https://ultimatecourses.com/blog/reverse-object-keys-and-values-in-javascript</a>',Oe,A,il="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>data</td><td><code>Object</code></td><td><p>The object to reverse.</p></td></tr></tbody>",Be,Ke,ze,w,Ie,P,Ne,E,ol="Escapes regular expression special characters from a string by replacing them with their escaped counterparts.",qe,j,sl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>string</code> - The escaped string.',Se,k,dl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>string</td><td><code>string</code></td><td><p>The string to escape.</p></td></tr></tbody>",Ve,Ue,Ge,R,Fe,D,Je,O,cl="Check if a value is a typed array.",Qe,B,al='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value is a <code>TypedArray</code>, false otherwise.',We,K,ul='Adapted from <a href="https://stackoverflow.com/a/71091338/13989043" rel="nofollow">https://stackoverflow.com/a/71091338/13989043</a>',Xe,z,nl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>val</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",Ye,Ze,et,I,tt,N,lt,q,pl="Check if a value is an integer.",rt,S,fl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value is a string, false otherwise.',it,V,ml="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>x</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",ot,st,dt,U,ct,G,at,F,hl="Calculates the dimensions of a nested array.",ut,J,bl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Array.&lt;number&gt;</code> - An array containing the dimensions of the input array.',nt,Q,yl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arr</td><td><code>Array.&lt;any&gt;</code></td><td><p>The nested array to calculate dimensions for.</p></td></tr></tbody>",pt,ft,mt,W,ht,X,bt,Y,vl="Replicate python’s .pop() method for objects.",yt,Z,Tl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>*</code> - The value of the popped key.<br/> <strong>Throws</strong>:',vt,ee,$l="<li><code>Error</code> If the key does not exist and no default value is provided.</li>",Tt,te,xl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>obj</td><td><code>Object</code></td><td><p>The object to pop from.</p></td> </tr><tr><td>key</td><td><code>string</code></td><td><p>The key to pop.</p></td> </tr><tr><td>defaultValue</td><td><code>*</code></td><td><p>The default value to return if the key does not exist.</p></td></tr></tbody>",$t,xt,_t,le,gt,re,Ht,ie,_l=`Efficiently merge arrays, creating a new copy.
Adapted from <a href="https://stackoverflow.com/a/6768642/13989043" rel="nofollow">https://stackoverflow.com/a/6768642/13989043</a>`,Lt,oe,gl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Array</code> - The merged array.',Ct,se,Hl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arrs</td><td><code>Array.&lt;Array&gt;</code></td><td><p>Arrays to merge.</p></td></tr></tbody>",Mt,At,wt,de,Pt,ce,Et,ae,Ll="Calculates the index offset for a given index and window size.",jt,ue,Cl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>number</code> - The index offset.',kt,ne,Ml="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>i</td><td><code>number</code></td><td><p>The index.</p></td> </tr><tr><td>w</td><td><code>number</code></td><td><p>The window size.</p></td></tr></tbody>",Rt,Dt,Ot,pe,Bt,fe,Kt,me,Al='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a>',zt,he,wl="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>o</td><td><code>Object</code></td> </tr><tr><td>props</td><td><code>Array.&lt;string&gt;</code></td></tr></tbody>",It,Nt,qt,be,St,ye,Vt,ve,Pl=`Calculate the length of a string, taking multi-byte characters into account.
This mimics the behavior of Python’s <code>len</code> function.`,Ut,Te,El='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>number</code> - The length of the string.',Gt,$e,jl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>s</td><td><code>string</code></td><td><p>The string to calculate the length of.</p></td></tr></tbody>",Ft,Jt,Qt,xe,Wt,ge,Xt;return $=new y({props:{title:"utils/core",local:"utilscore",headingTag:"h1"}}),L=new y({props:{title:"utils/core.reverseDictionary(data) ⇒ <code> Object </code>",local:"utilscorereversedictionarydata--code-object-code",headingTag:"h2"}}),P=new y({props:{title:"utils/core.escapeRegExp(string) ⇒ <code> string </code>",local:"utilscoreescaperegexpstring--code-string-code",headingTag:"h2"}}),D=new y({props:{title:"utils/core.isTypedArray(val) ⇒ <code> boolean </code>",local:"utilscoreistypedarrayval--code-boolean-code",headingTag:"h2"}}),N=new y({props:{title:"utils/core.isIntegralNumber(x) ⇒ <code> boolean </code>",local:"utilscoreisintegralnumberx--code-boolean-code",headingTag:"h2"}}),G=new y({props:{title:"utils/core.calculateDimensions(arr) ⇒ <code> Array. < number > </code>",local:"utilscorecalculatedimensionsarr--code-array--number--code",headingTag:"h2"}}),X=new y({props:{title:"utils/core.pop(obj, key, defaultValue) ⇒ <code> * </code>",local:"utilscorepopobj-key-defaultvalue--code--code",headingTag:"h2"}}),re=new y({props:{title:"utils/core.mergeArrays(arrs) ⇒ <code> Array </code>",local:"utilscoremergearraysarrs--code-array-code",headingTag:"h2"}}),ce=new y({props:{title:"utils/core.calculateReflectOffset(i, w) ⇒ <code> number </code>",local:"utilscorecalculatereflectoffseti-w--code-number-code",headingTag:"h2"}}),fe=new y({props:{title:"utils/core.pick(o, props) ⇒ <code> Object </code>",local:"utilscorepicko-props--code-object-code",headingTag:"h2"}}),ye=new y({props:{title:"utils/core.len(s) ⇒ <code> number </code>",local:"utilscorelens--code-number-code",headingTag:"h2"}}),xe=new Il({props:{source:"https://github.com/huggingface/transformers.js/blob/v3.0.0/docs/source/api/utils/core.md"}}),{c(){v=s("meta"),He=i(),_e=s("p"),Le=i(),T=s("a"),Ce=i(),n($.$$.fragment),Me=i(),x=s("p"),x.textContent=Zt,Ae=i(),_=s("p"),_.textContent=el,we=i(),g=s("ul"),g.innerHTML=tl,Pe=i(),Ee=s("hr"),je=i(),H=s("a"),ke=i(),n(L.$$.fragment),Re=i(),C=s("p"),C.textContent=ll,De=i(),M=s("p"),M.innerHTML=rl,Oe=i(),A=s("table"),A.innerHTML=il,Be=i(),Ke=s("hr"),ze=i(),w=s("a"),Ie=i(),n(P.$$.fragment),Ne=i(),E=s("p"),E.textContent=ol,qe=i(),j=s("p"),j.innerHTML=sl,Se=i(),k=s("table"),k.innerHTML=dl,Ve=i(),Ue=s("hr"),Ge=i(),R=s("a"),Fe=i(),n(D.$$.fragment),Je=i(),O=s("p"),O.textContent=cl,Qe=i(),B=s("p"),B.innerHTML=al,We=i(),K=s("p"),K.innerHTML=ul,Xe=i(),z=s("table"),z.innerHTML=nl,Ye=i(),Ze=s("hr"),et=i(),I=s("a"),tt=i(),n(N.$$.fragment),lt=i(),q=s("p"),q.textContent=pl,rt=i(),S=s("p"),S.innerHTML=fl,it=i(),V=s("table"),V.innerHTML=ml,ot=i(),st=s("hr"),dt=i(),U=s("a"),ct=i(),n(G.$$.fragment),at=i(),F=s("p"),F.textContent=hl,ut=i(),J=s("p"),J.innerHTML=bl,nt=i(),Q=s("table"),Q.innerHTML=yl,pt=i(),ft=s("hr"),mt=i(),W=s("a"),ht=i(),n(X.$$.fragment),bt=i(),Y=s("p"),Y.textContent=vl,yt=i(),Z=s("p"),Z.innerHTML=Tl,vt=i(),ee=s("ul"),ee.innerHTML=$l,Tt=i(),te=s("table"),te.innerHTML=xl,$t=i(),xt=s("hr"),_t=i(),le=s("a"),gt=i(),n(re.$$.fragment),Ht=i(),ie=s("p"),ie.innerHTML=_l,Lt=i(),oe=s("p"),oe.innerHTML=gl,Ct=i(),se=s("table"),se.innerHTML=Hl,Mt=i(),At=s("hr"),wt=i(),de=s("a"),Pt=i(),n(ce.$$.fragment),Et=i(),ae=s("p"),ae.textContent=Ll,jt=i(),ue=s("p"),ue.innerHTML=Cl,kt=i(),ne=s("table"),ne.innerHTML=Ml,Rt=i(),Dt=s("hr"),Ot=i(),pe=s("a"),Bt=i(),n(fe.$$.fragment),Kt=i(),me=s("p"),me.innerHTML=Al,zt=i(),he=s("table"),he.innerHTML=wl,It=i(),Nt=s("hr"),qt=i(),be=s("a"),St=i(),n(ye.$$.fragment),Vt=i(),ve=s("p"),ve.innerHTML=Pl,Ut=i(),Te=s("p"),Te.innerHTML=El,Gt=i(),$e=s("table"),$e.innerHTML=jl,Ft=i(),Jt=s("hr"),Qt=i(),n(xe.$$.fragment),Wt=i(),ge=s("p"),this.h()},l(e){const t=Kl("svelte-u9bgzb",document.head);v=d(t,"META",{name:!0,content:!0}),t.forEach(l),He=o(e),_e=d(e,"P",{}),u(_e).forEach(l),Le=o(e),T=d(e,"A",{id:!0,class:!0}),u(T).forEach(l),Ce=o(e),p($.$$.fragment,e),Me=o(e),x=d(e,"P",{"data-svelte-h":!0}),c(x)!=="svelte-u71mwf"&&(x.textContent=Zt),Ae=o(e),_=d(e,"P",{"data-svelte-h":!0}),c(_)!=="svelte-1r3ntfo"&&(_.textContent=el),we=o(e),g=d(e,"UL",{"data-svelte-h":!0}),c(g)!=="svelte-1oyu3qm"&&(g.innerHTML=tl),Pe=o(e),Ee=d(e,"HR",{}),je=o(e),H=d(e,"A",{id:!0,class:!0}),u(H).forEach(l),ke=o(e),p(L.$$.fragment,e),Re=o(e),C=d(e,"P",{"data-svelte-h":!0}),c(C)!=="svelte-dvlmk2"&&(C.textContent=ll),De=o(e),M=d(e,"P",{"data-svelte-h":!0}),c(M)!=="svelte-14f6o7p"&&(M.innerHTML=rl),Oe=o(e),A=d(e,"TABLE",{"data-svelte-h":!0}),c(A)!=="svelte-8if77n"&&(A.innerHTML=il),Be=o(e),Ke=d(e,"HR",{}),ze=o(e),w=d(e,"A",{id:!0,class:!0}),u(w).forEach(l),Ie=o(e),p(P.$$.fragment,e),Ne=o(e),E=d(e,"P",{"data-svelte-h":!0}),c(E)!=="svelte-14ro5y0"&&(E.textContent=ol),qe=o(e),j=d(e,"P",{"data-svelte-h":!0}),c(j)!=="svelte-nstyrr"&&(j.innerHTML=sl),Se=o(e),k=d(e,"TABLE",{"data-svelte-h":!0}),c(k)!=="svelte-1h5d263"&&(k.innerHTML=dl),Ve=o(e),Ue=d(e,"HR",{}),Ge=o(e),R=d(e,"A",{id:!0,class:!0}),u(R).forEach(l),Fe=o(e),p(D.$$.fragment,e),Je=o(e),O=d(e,"P",{"data-svelte-h":!0}),c(O)!=="svelte-1oclrgb"&&(O.textContent=cl),Qe=o(e),B=d(e,"P",{"data-svelte-h":!0}),c(B)!=="svelte-1uuf78s"&&(B.innerHTML=al),We=o(e),K=d(e,"P",{"data-svelte-h":!0}),c(K)!=="svelte-pr567i"&&(K.innerHTML=ul),Xe=o(e),z=d(e,"TABLE",{"data-svelte-h":!0}),c(z)!=="svelte-cdg32t"&&(z.innerHTML=nl),Ye=o(e),Ze=d(e,"HR",{}),et=o(e),I=d(e,"A",{id:!0,class:!0}),u(I).forEach(l),tt=o(e),p(N.$$.fragment,e),lt=o(e),q=d(e,"P",{"data-svelte-h":!0}),c(q)!=="svelte-1ityjuy"&&(q.textContent=pl),rt=o(e),S=d(e,"P",{"data-svelte-h":!0}),c(S)!=="svelte-1n9m385"&&(S.innerHTML=fl),it=o(e),V=d(e,"TABLE",{"data-svelte-h":!0}),c(V)!=="svelte-6n2d7i"&&(V.innerHTML=ml),ot=o(e),st=d(e,"HR",{}),dt=o(e),U=d(e,"A",{id:!0,class:!0}),u(U).forEach(l),ct=o(e),p(G.$$.fragment,e),at=o(e),F=d(e,"P",{"data-svelte-h":!0}),c(F)!=="svelte-1p78ixx"&&(F.textContent=hl),ut=o(e),J=d(e,"P",{"data-svelte-h":!0}),c(J)!=="svelte-15dw4oc"&&(J.innerHTML=bl),nt=o(e),Q=d(e,"TABLE",{"data-svelte-h":!0}),c(Q)!=="svelte-1bdqiim"&&(Q.innerHTML=yl),pt=o(e),ft=d(e,"HR",{}),mt=o(e),W=d(e,"A",{id:!0,class:!0}),u(W).forEach(l),ht=o(e),p(X.$$.fragment,e),bt=o(e),Y=d(e,"P",{"data-svelte-h":!0}),c(Y)!=="svelte-1m1a0x7"&&(Y.textContent=vl),yt=o(e),Z=d(e,"P",{"data-svelte-h":!0}),c(Z)!=="svelte-1dwq64m"&&(Z.innerHTML=Tl),vt=o(e),ee=d(e,"UL",{"data-svelte-h":!0}),c(ee)!=="svelte-n4a723"&&(ee.innerHTML=$l),Tt=o(e),te=d(e,"TABLE",{"data-svelte-h":!0}),c(te)!=="svelte-j5xxk1"&&(te.innerHTML=xl),$t=o(e),xt=d(e,"HR",{}),_t=o(e),le=d(e,"A",{id:!0,class:!0}),u(le).forEach(l),gt=o(e),p(re.$$.fragment,e),Ht=o(e),ie=d(e,"P",{"data-svelte-h":!0}),c(ie)!=="svelte-kvbp1p"&&(ie.innerHTML=_l),Lt=o(e),oe=d(e,"P",{"data-svelte-h":!0}),c(oe)!=="svelte-1ydcymw"&&(oe.innerHTML=gl),Ct=o(e),se=d(e,"TABLE",{"data-svelte-h":!0}),c(se)!=="svelte-stz7tp"&&(se.innerHTML=Hl),Mt=o(e),At=d(e,"HR",{}),wt=o(e),de=d(e,"A",{id:!0,class:!0}),u(de).forEach(l),Pt=o(e),p(ce.$$.fragment,e),Et=o(e),ae=d(e,"P",{"data-svelte-h":!0}),c(ae)!=="svelte-1m1ncmy"&&(ae.textContent=Ll),jt=o(e),ue=d(e,"P",{"data-svelte-h":!0}),c(ue)!=="svelte-vsw9ui"&&(ue.innerHTML=Cl),kt=o(e),ne=d(e,"TABLE",{"data-svelte-h":!0}),c(ne)!=="svelte-xzg366"&&(ne.innerHTML=Ml),Rt=o(e),Dt=d(e,"HR",{}),Ot=o(e),pe=d(e,"A",{id:!0,class:!0}),u(pe).forEach(l),Bt=o(e),p(fe.$$.fragment,e),Kt=o(e),me=d(e,"P",{"data-svelte-h":!0}),c(me)!=="svelte-zerxn5"&&(me.innerHTML=Al),zt=o(e),he=d(e,"TABLE",{"data-svelte-h":!0}),c(he)!=="svelte-18944ut"&&(he.innerHTML=wl),It=o(e),Nt=d(e,"HR",{}),qt=o(e),be=d(e,"A",{id:!0,class:!0}),u(be).forEach(l),St=o(e),p(ye.$$.fragment,e),Vt=o(e),ve=d(e,"P",{"data-svelte-h":!0}),c(ve)!=="svelte-vao8dt"&&(ve.innerHTML=Pl),Ut=o(e),Te=d(e,"P",{"data-svelte-h":!0}),c(Te)!=="svelte-1to55la"&&(Te.innerHTML=El),Gt=o(e),$e=d(e,"TABLE",{"data-svelte-h":!0}),c($e)!=="svelte-5bfh4"&&($e.innerHTML=jl),Ft=o(e),Jt=d(e,"HR",{}),Qt=o(e),p(xe.$$.fragment,e),Wt=o(e),ge=d(e,"P",{}),u(ge).forEach(l),this.h()},h(){a(v,"name","hf:doc:metadata"),a(v,"content",ql),a(T,"id","module_utils/core"),a(T,"class","group"),a(H,"id","module_utils/core.reverseDictionary"),a(H,"class","group"),a(w,"id","module_utils/core.escapeRegExp"),a(w,"class","group"),a(R,"id","module_utils/core.isTypedArray"),a(R,"class","group"),a(I,"id","module_utils/core.isIntegralNumber"),a(I,"class","group"),a(U,"id","module_utils/core.calculateDimensions"),a(U,"class","group"),a(W,"id","module_utils/core.pop"),a(W,"class","group"),a(le,"id","module_utils/core.mergeArrays"),a(le,"class","group"),a(de,"id","module_utils/core.calculateReflectOffset"),a(de,"class","group"),a(pe,"id","module_utils/core.pick"),a(pe,"class","group"),a(be,"id","module_utils/core.len"),a(be,"class","group")},m(e,t){zl(document.head,v),r(e,He,t),r(e,_e,t),r(e,Le,t),r(e,T,t),r(e,Ce,t),f($,e,t),r(e,Me,t),r(e,x,t),r(e,Ae,t),r(e,_,t),r(e,we,t),r(e,g,t),r(e,Pe,t),r(e,Ee,t),r(e,je,t),r(e,H,t),r(e,ke,t),f(L,e,t),r(e,Re,t),r(e,C,t),r(e,De,t),r(e,M,t),r(e,Oe,t),r(e,A,t),r(e,Be,t),r(e,Ke,t),r(e,ze,t),r(e,w,t),r(e,Ie,t),f(P,e,t),r(e,Ne,t),r(e,E,t),r(e,qe,t),r(e,j,t),r(e,Se,t),r(e,k,t),r(e,Ve,t),r(e,Ue,t),r(e,Ge,t),r(e,R,t),r(e,Fe,t),f(D,e,t),r(e,Je,t),r(e,O,t),r(e,Qe,t),r(e,B,t),r(e,We,t),r(e,K,t),r(e,Xe,t),r(e,z,t),r(e,Ye,t),r(e,Ze,t),r(e,et,t),r(e,I,t),r(e,tt,t),f(N,e,t),r(e,lt,t),r(e,q,t),r(e,rt,t),r(e,S,t),r(e,it,t),r(e,V,t),r(e,ot,t),r(e,st,t),r(e,dt,t),r(e,U,t),r(e,ct,t),f(G,e,t),r(e,at,t),r(e,F,t),r(e,ut,t),r(e,J,t),r(e,nt,t),r(e,Q,t),r(e,pt,t),r(e,ft,t),r(e,mt,t),r(e,W,t),r(e,ht,t),f(X,e,t),r(e,bt,t),r(e,Y,t),r(e,yt,t),r(e,Z,t),r(e,vt,t),r(e,ee,t),r(e,Tt,t),r(e,te,t),r(e,$t,t),r(e,xt,t),r(e,_t,t),r(e,le,t),r(e,gt,t),f(re,e,t),r(e,Ht,t),r(e,ie,t),r(e,Lt,t),r(e,oe,t),r(e,Ct,t),r(e,se,t),r(e,Mt,t),r(e,At,t),r(e,wt,t),r(e,de,t),r(e,Pt,t),f(ce,e,t),r(e,Et,t),r(e,ae,t),r(e,jt,t),r(e,ue,t),r(e,kt,t),r(e,ne,t),r(e,Rt,t),r(e,Dt,t),r(e,Ot,t),r(e,pe,t),r(e,Bt,t),f(fe,e,t),r(e,Kt,t),r(e,me,t),r(e,zt,t),r(e,he,t),r(e,It,t),r(e,Nt,t),r(e,qt,t),r(e,be,t),r(e,St,t),f(ye,e,t),r(e,Vt,t),r(e,ve,t),r(e,Ut,t),r(e,Te,t),r(e,Gt,t),r(e,$e,t),r(e,Ft,t),r(e,Jt,t),r(e,Qt,t),f(xe,e,t),r(e,Wt,t),r(e,ge,t),Xt=!0},p:Rl,i(e){Xt||(m($.$$.fragment,e),m(L.$$.fragment,e),m(P.$$.fragment,e),m(D.$$.fragment,e),m(N.$$.fragment,e),m(G.$$.fragment,e),m(X.$$.fragment,e),m(re.$$.fragment,e),m(ce.$$.fragment,e),m(fe.$$.fragment,e),m(ye.$$.fragment,e),m(xe.$$.fragment,e),Xt=!0)},o(e){h($.$$.fragment,e),h(L.$$.fragment,e),h(P.$$.fragment,e),h(D.$$.fragment,e),h(N.$$.fragment,e),h(G.$$.fragment,e),h(X.$$.fragment,e),h(re.$$.fragment,e),h(ce.$$.fragment,e),h(fe.$$.fragment,e),h(ye.$$.fragment,e),h(xe.$$.fragment,e),Xt=!1},d(e){e&&(l(He),l(_e),l(Le),l(T),l(Ce),l(Me),l(x),l(Ae),l(_),l(we),l(g),l(Pe),l(Ee),l(je),l(H),l(ke),l(Re),l(C),l(De),l(M),l(Oe),l(A),l(Be),l(Ke),l(ze),l(w),l(Ie),l(Ne),l(E),l(qe),l(j),l(Se),l(k),l(Ve),l(Ue),l(Ge),l(R),l(Fe),l(Je),l(O),l(Qe),l(B),l(We),l(K),l(Xe),l(z),l(Ye),l(Ze),l(et),l(I),l(tt),l(lt),l(q),l(rt),l(S),l(it),l(V),l(ot),l(st),l(dt),l(U),l(ct),l(at),l(F),l(ut),l(J),l(nt),l(Q),l(pt),l(ft),l(mt),l(W),l(ht),l(bt),l(Y),l(yt),l(Z),l(vt),l(ee),l(Tt),l(te),l($t),l(xt),l(_t),l(le),l(gt),l(Ht),l(ie),l(Lt),l(oe),l(Ct),l(se),l(Mt),l(At),l(wt),l(de),l(Pt),l(Et),l(ae),l(jt),l(ue),l(kt),l(ne),l(Rt),l(Dt),l(Ot),l(pe),l(Bt),l(Kt),l(me),l(zt),l(he),l(It),l(Nt),l(qt),l(be),l(St),l(Vt),l(ve),l(Ut),l(Te),l(Gt),l($e),l(Ft),l(Jt),l(Qt),l(Wt),l(ge)),l(v),b($,e),b(L,e),b(P,e),b(D,e),b(N,e),b(G,e),b(X,e),b(re,e),b(ce,e),b(fe,e),b(ye,e),b(xe,e)}}}const ql='{"title":"utils/core","local":"utilscore","sections":[{"title":"utils/core.reverseDictionary(data) ⇒ <code> Object </code>","local":"utilscorereversedictionarydata--code-object-code","sections":[],"depth":2},{"title":"utils/core.escapeRegExp(string) ⇒ <code> string </code>","local":"utilscoreescaperegexpstring--code-string-code","sections":[],"depth":2},{"title":"utils/core.isTypedArray(val) ⇒ <code> boolean </code>","local":"utilscoreistypedarrayval--code-boolean-code","sections":[],"depth":2},{"title":"utils/core.isIntegralNumber(x) ⇒ <code> boolean </code>","local":"utilscoreisintegralnumberx--code-boolean-code","sections":[],"depth":2},{"title":"utils/core.calculateDimensions(arr) ⇒ <code> Array. < number > </code>","local":"utilscorecalculatedimensionsarr--code-array--number--code","sections":[],"depth":2},{"title":"utils/core.pop(obj, key, defaultValue) ⇒ <code> * </code>","local":"utilscorepopobj-key-defaultvalue--code--code","sections":[],"depth":2},{"title":"utils/core.mergeArrays(arrs) ⇒ <code> Array </code>","local":"utilscoremergearraysarrs--code-array-code","sections":[],"depth":2},{"title":"utils/core.calculateReflectOffset(i, w) ⇒ <code> number </code>","local":"utilscorecalculatereflectoffseti-w--code-number-code","sections":[],"depth":2},{"title":"utils/core.pick(o, props) ⇒ <code> Object </code>","local":"utilscorepicko-props--code-object-code","sections":[],"depth":2},{"title":"utils/core.len(s) ⇒ <code> number </code>","local":"utilscorelens--code-number-code","sections":[],"depth":2}],"depth":1}';function Sl(Yt){return Dl(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Fl extends Ol{constructor(v){super(),Bl(this,v,Sl,Nl,kl,{})}}export{Fl as component};
