import{s as oi,n as ri,o as mi}from"../chunks/scheduler.0219f8bd.js";import{S as ni,i as pi,g as o,s as a,r as d,A as di,h as r,f as l,c as s,j as p,u as g,x as m,k as n,y as gi,a as i,v as u,d as f,t as c,w as _}from"../chunks/index.f61edf3b.js";import{H as h,E as ui}from"../chunks/EditOnGithub.48fa589f.js";function fi(Tl){let S,Re,Ae,Be,$,je,L,Ge,b,vl='<li><a href="#module_generation/logits_sampler">generation/logits_sampler</a><ul><li><em>static</em><ul><li><a href="#module_generation/logits_sampler.LogitsSampler">.LogitsSampler</a><ul><li><a href="#new_module_generation/logits_sampler.LogitsSampler_new"><code>new LogitsSampler(generation_config)</code></a></li> <li><em>instance</em><ul><li><a href="#module_generation/logits_sampler.LogitsSampler+_call"><code>._call(logits)</code></a> ⇒ <code>*</code></li> <li><a href="#module_generation/logits_sampler.LogitsSampler+sample"><code>.sample(logits)</code></a> ⇒ <code>*</code></li> <li><a href="#module_generation/logits_sampler.LogitsSampler+getLogits"><code>.getLogits(logits, index)</code></a> ⇒ <code>Float32Array</code></li> <li><a href="#module_generation/logits_sampler.LogitsSampler+randomSelect"><code>.randomSelect(probabilities)</code></a> ⇒ <code>number</code></li></ul></li> <li><em>static</em><ul><li><a href="#module_generation/logits_sampler.LogitsSampler.getSampler"><code>.getSampler(generation_config)</code></a> ⇒ <code>LogitsSampler</code></li></ul></li></ul></li></ul></li> <li><em>inner</em><ul><li><a href="#module_generation/logits_sampler..GreedySampler">~GreedySampler</a><ul><li><a href="#module_generation/logits_sampler..GreedySampler+sample"><code>.sample(logits)</code></a> ⇒ <code>*</code></li></ul></li> <li><a href="#module_generation/logits_sampler..MultinomialSampler">~MultinomialSampler</a><ul><li><a href="#module_generation/logits_sampler..MultinomialSampler+sample"><code>.sample(logits)</code></a> ⇒ <code>*</code></li></ul></li> <li><a href="#module_generation/logits_sampler..BeamSearchSampler">~BeamSearchSampler</a><ul><li><a href="#module_generation/logits_sampler..BeamSearchSampler+sample"><code>.sample(logits)</code></a> ⇒ <code>*</code></li></ul></li></ul></li></ul></li>',Ke,qe,ze,T,ke,v,Fe,x,xl="Sampler is a base class for all sampling methods used for text generation.",Ue,C,Cl='<strong>Kind</strong>: static class of <a href="#module_generation/logits_sampler"><code>generation/logits_sampler</code></a>',De,H,Hl='<li><a href="#module_generation/logits_sampler.LogitsSampler">.LogitsSampler</a><ul><li><a href="#new_module_generation/logits_sampler.LogitsSampler_new"><code>new LogitsSampler(generation_config)</code></a></li> <li><em>instance</em><ul><li><a href="#module_generation/logits_sampler.LogitsSampler+_call"><code>._call(logits)</code></a> ⇒ <code>*</code></li> <li><a href="#module_generation/logits_sampler.LogitsSampler+sample"><code>.sample(logits)</code></a> ⇒ <code>*</code></li> <li><a href="#module_generation/logits_sampler.LogitsSampler+getLogits"><code>.getLogits(logits, index)</code></a> ⇒ <code>Float32Array</code></li> <li><a href="#module_generation/logits_sampler.LogitsSampler+randomSelect"><code>.randomSelect(probabilities)</code></a> ⇒ <code>number</code></li></ul></li> <li><em>static</em><ul><li><a href="#module_generation/logits_sampler.LogitsSampler.getSampler"><code>.getSampler(generation_config)</code></a> ⇒ <code>LogitsSampler</code></li></ul></li></ul></li>',Ie,Oe,Je,y,Ne,M,Qe,w,yl="Creates a new Sampler object with the specified generation config.",Ve,P,Ml="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>generation_config</td><td><code>GenerationConfig</code></td><td><p>The generation config.</p></td></tr></tbody>",We,Xe,Ye,A,Ze,E,et,R,wl="Executes the sampler, using the specified logits.",tt,B,Pl='<strong>Kind</strong>: instance method of <a href="#module_generation/logits_sampler.LogitsSampler"><code>LogitsSampler</code></a>',lt,j,Al="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>logits</td><td><code>Tensor</code></td></tr></tbody>",it,at,st,G,ot,K,rt,q,El="Abstract method for sampling the logits.",mt,z,Rl='<strong>Kind</strong>: instance method of <a href="#module_generation/logits_sampler.LogitsSampler"><code>LogitsSampler</code></a><br/> <strong>Throws</strong>:',nt,k,Bl="<li><code>Error</code> If not implemented in subclass.</li>",pt,F,jl="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>logits</td><td><code>Tensor</code></td></tr></tbody>",dt,gt,ut,U,ft,D,ct,I,Gl="Returns the specified logits as an array, with temperature applied.",_t,O,Kl='<strong>Kind</strong>: instance method of <a href="#module_generation/logits_sampler.LogitsSampler"><code>LogitsSampler</code></a>',ht,J,ql="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>logits</td><td><code>Tensor</code></td> </tr><tr><td>index</td><td><code>number</code></td></tr></tbody>",St,$t,Lt,N,bt,Q,Tt,V,zl="Selects an item randomly based on the specified probabilities.",vt,W,kl='<strong>Kind</strong>: instance method of <a href="#module_generation/logits_sampler.LogitsSampler"><code>LogitsSampler</code></a><br/> <strong>Returns</strong>: <code>number</code> - The index of the selected item.',xt,X,Fl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>probabilities</td><td><code>*</code></td><td><p>An array of probabilities to use for selection.</p></td></tr></tbody>",Ct,Ht,yt,Y,Mt,Z,wt,ee,Ul="Returns a Sampler object based on the specified options.",Pt,te,Dl='<strong>Kind</strong>: static method of <a href="#module_generation/logits_sampler.LogitsSampler"><code>LogitsSampler</code></a><br/> <strong>Returns</strong>: <code>LogitsSampler</code> - A Sampler object.',At,le,Il="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>generation_config</td><td><code>GenerationConfig</code></td><td><p>An object containing options for the sampler.</p></td></tr></tbody>",Et,Rt,Bt,ie,jt,ae,Gt,se,Ol="Class representing a Greedy Sampler.",Kt,oe,Jl='<strong>Kind</strong>: inner class of <a href="#module_generation/logits_sampler"><code>generation/logits_sampler</code></a>',qt,zt,kt,re,Ft,me,Ut,ne,Nl="Sample the maximum probability of a given logits tensor.",Dt,pe,Ql='<strong>Kind</strong>: instance method of <a href="#module_generation/logits_sampler..GreedySampler"><code>GreedySampler</code></a><br/> <strong>Returns</strong>: <code>*</code> - An array with a single tuple, containing the index of the maximum value and a meaningless score (since this is a greedy search).',It,de,Vl="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>logits</td><td><code>Tensor</code></td></tr></tbody>",Ot,Jt,Nt,ge,Qt,ue,Vt,fe,Wl="Class representing a MultinomialSampler.",Wt,ce,Xl='<strong>Kind</strong>: inner class of <a href="#module_generation/logits_sampler"><code>generation/logits_sampler</code></a>',Xt,Yt,Zt,_e,el,he,tl,Se,Yl="Sample from the logits.",ll,$e,Zl='<strong>Kind</strong>: instance method of <a href="#module_generation/logits_sampler..MultinomialSampler"><code>MultinomialSampler</code></a>',il,Le,ei="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>logits</td><td><code>Tensor</code></td></tr></tbody>",al,sl,ol,be,rl,Te,ml,ve,ti="Class representing a BeamSearchSampler.",nl,xe,li='<strong>Kind</strong>: inner class of <a href="#module_generation/logits_sampler"><code>generation/logits_sampler</code></a>',pl,dl,gl,Ce,ul,He,fl,ye,ii="Sample from the logits.",cl,Me,ai='<strong>Kind</strong>: instance method of <a href="#module_generation/logits_sampler..BeamSearchSampler"><code>BeamSearchSampler</code></a>',_l,we,si="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>logits</td><td><code>Tensor</code></td></tr></tbody>",hl,Sl,$l,Pe,Ll,Ee,bl;return L=new h({props:{title:"generation/logits_sampler",local:"generationlogitssampler",headingTag:"h1"}}),v=new h({props:{title:"generation/logits_sampler.LogitsSampler",local:"generationlogitssamplerlogitssampler",headingTag:"h2"}}),M=new h({props:{title:"new LogitsSampler(generation_config)",local:"new-logitssamplergenerationconfig",headingTag:"h3"}}),E=new h({props:{title:"logitsSampler._call(logits) ⇒ <code> * </code>",local:"logitssamplercalllogits--code--code",headingTag:"h3"}}),K=new h({props:{title:"logitsSampler.sample(logits) ⇒ <code> * </code>",local:"logitssamplersamplelogits--code--code",headingTag:"h3"}}),D=new h({props:{title:"logitsSampler.getLogits(logits, index) ⇒ <code> Float32Array </code>",local:"logitssamplergetlogitslogits-index--code-float32array-code",headingTag:"h3"}}),Q=new h({props:{title:"logitsSampler.randomSelect(probabilities) ⇒ <code> number </code>",local:"logitssamplerrandomselectprobabilities--code-number-code",headingTag:"h3"}}),Z=new h({props:{title:"LogitsSampler.getSampler(generation_config) ⇒ <code> LogitsSampler </code>",local:"logitssamplergetsamplergenerationconfig--code-logitssampler-code",headingTag:"h3"}}),ae=new h({props:{title:"generation/logits_sampler~GreedySampler",local:"generationlogitssamplergreedysampler",headingTag:"h2"}}),me=new h({props:{title:"greedySampler.sample(logits) ⇒ <code> * </code>",local:"greedysamplersamplelogits--code--code",headingTag:"h3"}}),ue=new h({props:{title:"generation/logits_sampler~MultinomialSampler",local:"generationlogitssamplermultinomialsampler",headingTag:"h2"}}),he=new h({props:{title:"multinomialSampler.sample(logits) ⇒ <code> * </code>",local:"multinomialsamplersamplelogits--code--code",headingTag:"h3"}}),Te=new h({props:{title:"generation/logits_sampler~BeamSearchSampler",local:"generationlogitssamplerbeamsearchsampler",headingTag:"h2"}}),He=new h({props:{title:"beamSearchSampler.sample(logits) ⇒ <code> * </code>",local:"beamsearchsamplersamplelogits--code--code",headingTag:"h3"}}),Pe=new ui({props:{source:"https://github.com/huggingface/transformers.js/blob/v3.0.0/docs/source/api/generation/logits_sampler.md"}}),{c(){S=o("meta"),Re=a(),Ae=o("p"),Be=a(),$=o("a"),je=a(),d(L.$$.fragment),Ge=a(),b=o("ul"),b.innerHTML=vl,Ke=a(),qe=o("hr"),ze=a(),T=o("a"),ke=a(),d(v.$$.fragment),Fe=a(),x=o("p"),x.textContent=xl,Ue=a(),C=o("p"),C.innerHTML=Cl,De=a(),H=o("ul"),H.innerHTML=Hl,Ie=a(),Oe=o("hr"),Je=a(),y=o("a"),Ne=a(),d(M.$$.fragment),Qe=a(),w=o("p"),w.textContent=yl,Ve=a(),P=o("table"),P.innerHTML=Ml,We=a(),Xe=o("hr"),Ye=a(),A=o("a"),Ze=a(),d(E.$$.fragment),et=a(),R=o("p"),R.textContent=wl,tt=a(),B=o("p"),B.innerHTML=Pl,lt=a(),j=o("table"),j.innerHTML=Al,it=a(),at=o("hr"),st=a(),G=o("a"),ot=a(),d(K.$$.fragment),rt=a(),q=o("p"),q.textContent=El,mt=a(),z=o("p"),z.innerHTML=Rl,nt=a(),k=o("ul"),k.innerHTML=Bl,pt=a(),F=o("table"),F.innerHTML=jl,dt=a(),gt=o("hr"),ut=a(),U=o("a"),ft=a(),d(D.$$.fragment),ct=a(),I=o("p"),I.textContent=Gl,_t=a(),O=o("p"),O.innerHTML=Kl,ht=a(),J=o("table"),J.innerHTML=ql,St=a(),$t=o("hr"),Lt=a(),N=o("a"),bt=a(),d(Q.$$.fragment),Tt=a(),V=o("p"),V.textContent=zl,vt=a(),W=o("p"),W.innerHTML=kl,xt=a(),X=o("table"),X.innerHTML=Fl,Ct=a(),Ht=o("hr"),yt=a(),Y=o("a"),Mt=a(),d(Z.$$.fragment),wt=a(),ee=o("p"),ee.textContent=Ul,Pt=a(),te=o("p"),te.innerHTML=Dl,At=a(),le=o("table"),le.innerHTML=Il,Et=a(),Rt=o("hr"),Bt=a(),ie=o("a"),jt=a(),d(ae.$$.fragment),Gt=a(),se=o("p"),se.textContent=Ol,Kt=a(),oe=o("p"),oe.innerHTML=Jl,qt=a(),zt=o("hr"),kt=a(),re=o("a"),Ft=a(),d(me.$$.fragment),Ut=a(),ne=o("p"),ne.textContent=Nl,Dt=a(),pe=o("p"),pe.innerHTML=Ql,It=a(),de=o("table"),de.innerHTML=Vl,Ot=a(),Jt=o("hr"),Nt=a(),ge=o("a"),Qt=a(),d(ue.$$.fragment),Vt=a(),fe=o("p"),fe.textContent=Wl,Wt=a(),ce=o("p"),ce.innerHTML=Xl,Xt=a(),Yt=o("hr"),Zt=a(),_e=o("a"),el=a(),d(he.$$.fragment),tl=a(),Se=o("p"),Se.textContent=Yl,ll=a(),$e=o("p"),$e.innerHTML=Zl,il=a(),Le=o("table"),Le.innerHTML=ei,al=a(),sl=o("hr"),ol=a(),be=o("a"),rl=a(),d(Te.$$.fragment),ml=a(),ve=o("p"),ve.textContent=ti,nl=a(),xe=o("p"),xe.innerHTML=li,pl=a(),dl=o("hr"),gl=a(),Ce=o("a"),ul=a(),d(He.$$.fragment),fl=a(),ye=o("p"),ye.textContent=ii,cl=a(),Me=o("p"),Me.innerHTML=ai,_l=a(),we=o("table"),we.innerHTML=si,hl=a(),Sl=o("hr"),$l=a(),d(Pe.$$.fragment),Ll=a(),Ee=o("p"),this.h()},l(e){const t=di("svelte-u9bgzb",document.head);S=r(t,"META",{name:!0,content:!0}),t.forEach(l),Re=s(e),Ae=r(e,"P",{}),p(Ae).forEach(l),Be=s(e),$=r(e,"A",{id:!0,class:!0}),p($).forEach(l),je=s(e),g(L.$$.fragment,e),Ge=s(e),b=r(e,"UL",{"data-svelte-h":!0}),m(b)!=="svelte-1n381yz"&&(b.innerHTML=vl),Ke=s(e),qe=r(e,"HR",{}),ze=s(e),T=r(e,"A",{id:!0,class:!0}),p(T).forEach(l),ke=s(e),g(v.$$.fragment,e),Fe=s(e),x=r(e,"P",{"data-svelte-h":!0}),m(x)!=="svelte-p0jtpm"&&(x.textContent=xl),Ue=s(e),C=r(e,"P",{"data-svelte-h":!0}),m(C)!=="svelte-irp316"&&(C.innerHTML=Cl),De=s(e),H=r(e,"UL",{"data-svelte-h":!0}),m(H)!=="svelte-i9u54l"&&(H.innerHTML=Hl),Ie=s(e),Oe=r(e,"HR",{}),Je=s(e),y=r(e,"A",{id:!0,class:!0}),p(y).forEach(l),Ne=s(e),g(M.$$.fragment,e),Qe=s(e),w=r(e,"P",{"data-svelte-h":!0}),m(w)!=="svelte-cx2gtq"&&(w.textContent=yl),Ve=s(e),P=r(e,"TABLE",{"data-svelte-h":!0}),m(P)!=="svelte-i95exv"&&(P.innerHTML=Ml),We=s(e),Xe=r(e,"HR",{}),Ye=s(e),A=r(e,"A",{id:!0,class:!0}),p(A).forEach(l),Ze=s(e),g(E.$$.fragment,e),et=s(e),R=r(e,"P",{"data-svelte-h":!0}),m(R)!=="svelte-18hhszu"&&(R.textContent=wl),tt=s(e),B=r(e,"P",{"data-svelte-h":!0}),m(B)!=="svelte-pfd0aw"&&(B.innerHTML=Pl),lt=s(e),j=r(e,"TABLE",{"data-svelte-h":!0}),m(j)!=="svelte-10zn2fr"&&(j.innerHTML=Al),it=s(e),at=r(e,"HR",{}),st=s(e),G=r(e,"A",{id:!0,class:!0}),p(G).forEach(l),ot=s(e),g(K.$$.fragment,e),rt=s(e),q=r(e,"P",{"data-svelte-h":!0}),m(q)!=="svelte-mhsbvo"&&(q.textContent=El),mt=s(e),z=r(e,"P",{"data-svelte-h":!0}),m(z)!=="svelte-1hoqfjk"&&(z.innerHTML=Rl),nt=s(e),k=r(e,"UL",{"data-svelte-h":!0}),m(k)!=="svelte-14cgj6z"&&(k.innerHTML=Bl),pt=s(e),F=r(e,"TABLE",{"data-svelte-h":!0}),m(F)!=="svelte-10zn2fr"&&(F.innerHTML=jl),dt=s(e),gt=r(e,"HR",{}),ut=s(e),U=r(e,"A",{id:!0,class:!0}),p(U).forEach(l),ft=s(e),g(D.$$.fragment,e),ct=s(e),I=r(e,"P",{"data-svelte-h":!0}),m(I)!=="svelte-1tthoub"&&(I.textContent=Gl),_t=s(e),O=r(e,"P",{"data-svelte-h":!0}),m(O)!=="svelte-pfd0aw"&&(O.innerHTML=Kl),ht=s(e),J=r(e,"TABLE",{"data-svelte-h":!0}),m(J)!=="svelte-1ks6oyq"&&(J.innerHTML=ql),St=s(e),$t=r(e,"HR",{}),Lt=s(e),N=r(e,"A",{id:!0,class:!0}),p(N).forEach(l),bt=s(e),g(Q.$$.fragment,e),Tt=s(e),V=r(e,"P",{"data-svelte-h":!0}),m(V)!=="svelte-yywnzb"&&(V.textContent=zl),vt=s(e),W=r(e,"P",{"data-svelte-h":!0}),m(W)!=="svelte-1c5ts62"&&(W.innerHTML=kl),xt=s(e),X=r(e,"TABLE",{"data-svelte-h":!0}),m(X)!=="svelte-541x4t"&&(X.innerHTML=Fl),Ct=s(e),Ht=r(e,"HR",{}),yt=s(e),Y=r(e,"A",{id:!0,class:!0}),p(Y).forEach(l),Mt=s(e),g(Z.$$.fragment,e),wt=s(e),ee=r(e,"P",{"data-svelte-h":!0}),m(ee)!=="svelte-wl8u0w"&&(ee.textContent=Ul),Pt=s(e),te=r(e,"P",{"data-svelte-h":!0}),m(te)!=="svelte-u33ue9"&&(te.innerHTML=Dl),At=s(e),le=r(e,"TABLE",{"data-svelte-h":!0}),m(le)!=="svelte-1vneufm"&&(le.innerHTML=Il),Et=s(e),Rt=r(e,"HR",{}),Bt=s(e),ie=r(e,"A",{id:!0,class:!0}),p(ie).forEach(l),jt=s(e),g(ae.$$.fragment,e),Gt=s(e),se=r(e,"P",{"data-svelte-h":!0}),m(se)!=="svelte-1pvj197"&&(se.textContent=Ol),Kt=s(e),oe=r(e,"P",{"data-svelte-h":!0}),m(oe)!=="svelte-1jqqnai"&&(oe.innerHTML=Jl),qt=s(e),zt=r(e,"HR",{}),kt=s(e),re=r(e,"A",{id:!0,class:!0}),p(re).forEach(l),Ft=s(e),g(me.$$.fragment,e),Ut=s(e),ne=r(e,"P",{"data-svelte-h":!0}),m(ne)!=="svelte-1acvd9s"&&(ne.textContent=Nl),Dt=s(e),pe=r(e,"P",{"data-svelte-h":!0}),m(pe)!=="svelte-kjb7on"&&(pe.innerHTML=Ql),It=s(e),de=r(e,"TABLE",{"data-svelte-h":!0}),m(de)!=="svelte-10zn2fr"&&(de.innerHTML=Vl),Ot=s(e),Jt=r(e,"HR",{}),Nt=s(e),ge=r(e,"A",{id:!0,class:!0}),p(ge).forEach(l),Qt=s(e),g(ue.$$.fragment,e),Vt=s(e),fe=r(e,"P",{"data-svelte-h":!0}),m(fe)!=="svelte-2u15u0"&&(fe.textContent=Wl),Wt=s(e),ce=r(e,"P",{"data-svelte-h":!0}),m(ce)!=="svelte-1jqqnai"&&(ce.innerHTML=Xl),Xt=s(e),Yt=r(e,"HR",{}),Zt=s(e),_e=r(e,"A",{id:!0,class:!0}),p(_e).forEach(l),el=s(e),g(he.$$.fragment,e),tl=s(e),Se=r(e,"P",{"data-svelte-h":!0}),m(Se)!=="svelte-1uart2f"&&(Se.textContent=Yl),ll=s(e),$e=r(e,"P",{"data-svelte-h":!0}),m($e)!=="svelte-iej4fm"&&($e.innerHTML=Zl),il=s(e),Le=r(e,"TABLE",{"data-svelte-h":!0}),m(Le)!=="svelte-10zn2fr"&&(Le.innerHTML=ei),al=s(e),sl=r(e,"HR",{}),ol=s(e),be=r(e,"A",{id:!0,class:!0}),p(be).forEach(l),rl=s(e),g(Te.$$.fragment,e),ml=s(e),ve=r(e,"P",{"data-svelte-h":!0}),m(ve)!=="svelte-tcl9v8"&&(ve.textContent=ti),nl=s(e),xe=r(e,"P",{"data-svelte-h":!0}),m(xe)!=="svelte-1jqqnai"&&(xe.innerHTML=li),pl=s(e),dl=r(e,"HR",{}),gl=s(e),Ce=r(e,"A",{id:!0,class:!0}),p(Ce).forEach(l),ul=s(e),g(He.$$.fragment,e),fl=s(e),ye=r(e,"P",{"data-svelte-h":!0}),m(ye)!=="svelte-1uart2f"&&(ye.textContent=ii),cl=s(e),Me=r(e,"P",{"data-svelte-h":!0}),m(Me)!=="svelte-1sn2942"&&(Me.innerHTML=ai),_l=s(e),we=r(e,"TABLE",{"data-svelte-h":!0}),m(we)!=="svelte-10zn2fr"&&(we.innerHTML=si),hl=s(e),Sl=r(e,"HR",{}),$l=s(e),g(Pe.$$.fragment,e),Ll=s(e),Ee=r(e,"P",{}),p(Ee).forEach(l),this.h()},h(){n(S,"name","hf:doc:metadata"),n(S,"content",ci),n($,"id","module_generation/logits_sampler"),n($,"class","group"),n(T,"id","module_generation/logits_sampler.LogitsSampler"),n(T,"class","group"),n(y,"id","new_module_generation/logits_sampler.LogitsSampler_new"),n(y,"class","group"),n(A,"id","module_generation/logits_sampler.LogitsSampler+_call"),n(A,"class","group"),n(G,"id","module_generation/logits_sampler.LogitsSampler+sample"),n(G,"class","group"),n(U,"id","module_generation/logits_sampler.LogitsSampler+getLogits"),n(U,"class","group"),n(N,"id","module_generation/logits_sampler.LogitsSampler+randomSelect"),n(N,"class","group"),n(Y,"id","module_generation/logits_sampler.LogitsSampler.getSampler"),n(Y,"class","group"),n(ie,"id","module_generation/logits_sampler..GreedySampler"),n(ie,"class","group"),n(re,"id","module_generation/logits_sampler..GreedySampler+sample"),n(re,"class","group"),n(ge,"id","module_generation/logits_sampler..MultinomialSampler"),n(ge,"class","group"),n(_e,"id","module_generation/logits_sampler..MultinomialSampler+sample"),n(_e,"class","group"),n(be,"id","module_generation/logits_sampler..BeamSearchSampler"),n(be,"class","group"),n(Ce,"id","module_generation/logits_sampler..BeamSearchSampler+sample"),n(Ce,"class","group")},m(e,t){gi(document.head,S),i(e,Re,t),i(e,Ae,t),i(e,Be,t),i(e,$,t),i(e,je,t),u(L,e,t),i(e,Ge,t),i(e,b,t),i(e,Ke,t),i(e,qe,t),i(e,ze,t),i(e,T,t),i(e,ke,t),u(v,e,t),i(e,Fe,t),i(e,x,t),i(e,Ue,t),i(e,C,t),i(e,De,t),i(e,H,t),i(e,Ie,t),i(e,Oe,t),i(e,Je,t),i(e,y,t),i(e,Ne,t),u(M,e,t),i(e,Qe,t),i(e,w,t),i(e,Ve,t),i(e,P,t),i(e,We,t),i(e,Xe,t),i(e,Ye,t),i(e,A,t),i(e,Ze,t),u(E,e,t),i(e,et,t),i(e,R,t),i(e,tt,t),i(e,B,t),i(e,lt,t),i(e,j,t),i(e,it,t),i(e,at,t),i(e,st,t),i(e,G,t),i(e,ot,t),u(K,e,t),i(e,rt,t),i(e,q,t),i(e,mt,t),i(e,z,t),i(e,nt,t),i(e,k,t),i(e,pt,t),i(e,F,t),i(e,dt,t),i(e,gt,t),i(e,ut,t),i(e,U,t),i(e,ft,t),u(D,e,t),i(e,ct,t),i(e,I,t),i(e,_t,t),i(e,O,t),i(e,ht,t),i(e,J,t),i(e,St,t),i(e,$t,t),i(e,Lt,t),i(e,N,t),i(e,bt,t),u(Q,e,t),i(e,Tt,t),i(e,V,t),i(e,vt,t),i(e,W,t),i(e,xt,t),i(e,X,t),i(e,Ct,t),i(e,Ht,t),i(e,yt,t),i(e,Y,t),i(e,Mt,t),u(Z,e,t),i(e,wt,t),i(e,ee,t),i(e,Pt,t),i(e,te,t),i(e,At,t),i(e,le,t),i(e,Et,t),i(e,Rt,t),i(e,Bt,t),i(e,ie,t),i(e,jt,t),u(ae,e,t),i(e,Gt,t),i(e,se,t),i(e,Kt,t),i(e,oe,t),i(e,qt,t),i(e,zt,t),i(e,kt,t),i(e,re,t),i(e,Ft,t),u(me,e,t),i(e,Ut,t),i(e,ne,t),i(e,Dt,t),i(e,pe,t),i(e,It,t),i(e,de,t),i(e,Ot,t),i(e,Jt,t),i(e,Nt,t),i(e,ge,t),i(e,Qt,t),u(ue,e,t),i(e,Vt,t),i(e,fe,t),i(e,Wt,t),i(e,ce,t),i(e,Xt,t),i(e,Yt,t),i(e,Zt,t),i(e,_e,t),i(e,el,t),u(he,e,t),i(e,tl,t),i(e,Se,t),i(e,ll,t),i(e,$e,t),i(e,il,t),i(e,Le,t),i(e,al,t),i(e,sl,t),i(e,ol,t),i(e,be,t),i(e,rl,t),u(Te,e,t),i(e,ml,t),i(e,ve,t),i(e,nl,t),i(e,xe,t),i(e,pl,t),i(e,dl,t),i(e,gl,t),i(e,Ce,t),i(e,ul,t),u(He,e,t),i(e,fl,t),i(e,ye,t),i(e,cl,t),i(e,Me,t),i(e,_l,t),i(e,we,t),i(e,hl,t),i(e,Sl,t),i(e,$l,t),u(Pe,e,t),i(e,Ll,t),i(e,Ee,t),bl=!0},p:ri,i(e){bl||(f(L.$$.fragment,e),f(v.$$.fragment,e),f(M.$$.fragment,e),f(E.$$.fragment,e),f(K.$$.fragment,e),f(D.$$.fragment,e),f(Q.$$.fragment,e),f(Z.$$.fragment,e),f(ae.$$.fragment,e),f(me.$$.fragment,e),f(ue.$$.fragment,e),f(he.$$.fragment,e),f(Te.$$.fragment,e),f(He.$$.fragment,e),f(Pe.$$.fragment,e),bl=!0)},o(e){c(L.$$.fragment,e),c(v.$$.fragment,e),c(M.$$.fragment,e),c(E.$$.fragment,e),c(K.$$.fragment,e),c(D.$$.fragment,e),c(Q.$$.fragment,e),c(Z.$$.fragment,e),c(ae.$$.fragment,e),c(me.$$.fragment,e),c(ue.$$.fragment,e),c(he.$$.fragment,e),c(Te.$$.fragment,e),c(He.$$.fragment,e),c(Pe.$$.fragment,e),bl=!1},d(e){e&&(l(Re),l(Ae),l(Be),l($),l(je),l(Ge),l(b),l(Ke),l(qe),l(ze),l(T),l(ke),l(Fe),l(x),l(Ue),l(C),l(De),l(H),l(Ie),l(Oe),l(Je),l(y),l(Ne),l(Qe),l(w),l(Ve),l(P),l(We),l(Xe),l(Ye),l(A),l(Ze),l(et),l(R),l(tt),l(B),l(lt),l(j),l(it),l(at),l(st),l(G),l(ot),l(rt),l(q),l(mt),l(z),l(nt),l(k),l(pt),l(F),l(dt),l(gt),l(ut),l(U),l(ft),l(ct),l(I),l(_t),l(O),l(ht),l(J),l(St),l($t),l(Lt),l(N),l(bt),l(Tt),l(V),l(vt),l(W),l(xt),l(X),l(Ct),l(Ht),l(yt),l(Y),l(Mt),l(wt),l(ee),l(Pt),l(te),l(At),l(le),l(Et),l(Rt),l(Bt),l(ie),l(jt),l(Gt),l(se),l(Kt),l(oe),l(qt),l(zt),l(kt),l(re),l(Ft),l(Ut),l(ne),l(Dt),l(pe),l(It),l(de),l(Ot),l(Jt),l(Nt),l(ge),l(Qt),l(Vt),l(fe),l(Wt),l(ce),l(Xt),l(Yt),l(Zt),l(_e),l(el),l(tl),l(Se),l(ll),l($e),l(il),l(Le),l(al),l(sl),l(ol),l(be),l(rl),l(ml),l(ve),l(nl),l(xe),l(pl),l(dl),l(gl),l(Ce),l(ul),l(fl),l(ye),l(cl),l(Me),l(_l),l(we),l(hl),l(Sl),l($l),l(Ll),l(Ee)),l(S),_(L,e),_(v,e),_(M,e),_(E,e),_(K,e),_(D,e),_(Q,e),_(Z,e),_(ae,e),_(me,e),_(ue,e),_(he,e),_(Te,e),_(He,e),_(Pe,e)}}}const ci='{"title":"generation/logits_sampler","local":"generationlogitssampler","sections":[{"title":"generation/logits_sampler.LogitsSampler","local":"generationlogitssamplerlogitssampler","sections":[{"title":"new LogitsSampler(generation_config)","local":"new-logitssamplergenerationconfig","sections":[],"depth":3},{"title":"logitsSampler._call(logits) ⇒ <code> * </code>","local":"logitssamplercalllogits--code--code","sections":[],"depth":3},{"title":"logitsSampler.sample(logits) ⇒ <code> * </code>","local":"logitssamplersamplelogits--code--code","sections":[],"depth":3},{"title":"logitsSampler.getLogits(logits, index) ⇒ <code> Float32Array </code>","local":"logitssamplergetlogitslogits-index--code-float32array-code","sections":[],"depth":3},{"title":"logitsSampler.randomSelect(probabilities) ⇒ <code> number </code>","local":"logitssamplerrandomselectprobabilities--code-number-code","sections":[],"depth":3},{"title":"LogitsSampler.getSampler(generation_config) ⇒ <code> LogitsSampler </code>","local":"logitssamplergetsamplergenerationconfig--code-logitssampler-code","sections":[],"depth":3}],"depth":2},{"title":"generation/logits_sampler~GreedySampler","local":"generationlogitssamplergreedysampler","sections":[{"title":"greedySampler.sample(logits) ⇒ <code> * </code>","local":"greedysamplersamplelogits--code--code","sections":[],"depth":3}],"depth":2},{"title":"generation/logits_sampler~MultinomialSampler","local":"generationlogitssamplermultinomialsampler","sections":[{"title":"multinomialSampler.sample(logits) ⇒ <code> * </code>","local":"multinomialsamplersamplelogits--code--code","sections":[],"depth":3}],"depth":2},{"title":"generation/logits_sampler~BeamSearchSampler","local":"generationlogitssamplerbeamsearchsampler","sections":[{"title":"beamSearchSampler.sample(logits) ⇒ <code> * </code>","local":"beamsearchsamplersamplelogits--code--code","sections":[],"depth":3}],"depth":2}],"depth":1}';function _i(Tl){return mi(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Li extends ni{constructor(S){super(),pi(this,S,_i,fi,oi,{})}}export{Li as component};
